import { Zone } from "../../typeclass/zone";
import { FpFixedDeck } from "./decks/fp-fixed-deck";
import { FpHoistableDeck } from "./decks/fp-hoistable-deck";

export type FpZone = Omit<Zone, "decks"> & {
  // How many decks are in the zone? This number includes the fixed bottom deck
  // Can be one only
  decks: (FpFixedDeck | FpHoistableDeck)[];

  // When creating a new job, we need to know if this zone is being fumigated or not
  to_be_fumigated: boolean;
};
